Subject: Re: [PATCH v7 06/10] fsmonitor: deduplicate settings logic for Unix platforms

From: Paul Tarjan <[email-masked]>
Date: Wed, 4 Mar 2026 11:17:49 -0700

On Tue, Mar 4, 2026, Patrick Steinhardt wrote:
> It's a bit weird that the only change to the Makefile here is to change
> how we wire up fsm-ipc even though it's fsm-settings that this commit
> cares about. Should this change be moved into the preceding commit?

Moved. The Makefile fsm-ipc change is now in the IPC rename commit
(patch 5). The settings commit has no Makefile changes since
fsm-settings already used FSMONITOR_OS_SETTINGS.

> Same here, it's not clear to me where those while-at-it changes are
> coming from and whether we need them here. I'd rather drop them.

Dropped. Both renames are now pure renames with no content changes.

> I think it might make sense to introduce the `fsmonitor_os` variable in
> the preceding commit already.

Done, fsmonitor_os is introduced in the IPC rename commit now.

> We could avoid the flip-flopping of the code here.

Yeah, with fsmonitor_os in the IPC commit, the settings commit just
flips fsm-settings from fsmonitor_backend to fsmonitor_os. No more
flip-flopping.